com.tibbo.aggregate.common.util

## Class ClassPathHelper

- java.lang.Object
- - com.tibbo.aggregate.common.util.ClassPathHelper

-     public class ClassPathHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassPathHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addToClassPath(java.lang.String path)`
    `static void` | `addToClassPath(java.net.URLClassLoader urlClassLoader, java.lang.String path)`
    `static void` | `addToLibraryPath(java.lang.String path)`
    `static java.util.List<java.lang.String>` | `listJars(java.io.File directory)`
    `static void` | `loadJars(java.io.File directory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassPathHelper

          public ClassPathHelper()

  - ### Method Detail

    - #### loadJars

          public static void loadJars(java.io.File directory)
                               throws java.io.IOException,
                                      java.lang.IllegalArgumentException,
                                      java.lang.IllegalAccessException,
                                      java.lang.reflect.InvocationTargetException,
                                      java.lang.SecurityException,
                                      java.lang.NoSuchMethodException

      Throws:
        `java.io.IOException`
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.SecurityException`
        `java.lang.NoSuchMethodException`

    - #### listJars

          public static java.util.List<java.lang.String> listJars(java.io.File directory)

    - #### addToClassPath

          public static void addToClassPath(java.net.URLClassLoader urlClassLoader,
                                            java.lang.String path)
                                     throws java.lang.reflect.InvocationTargetException,
                                            java.lang.IllegalAccessException,
                                            java.net.MalformedURLException,
                                            java.lang.NoSuchMethodException

      Throws:
        `java.lang.reflect.InvocationTargetException`
        `java.lang.IllegalAccessException`
        `java.net.MalformedURLException`
        `java.lang.NoSuchMethodException`

    - #### addToClassPath

          public static void addToClassPath(java.lang.String path)
                                     throws java.net.MalformedURLException,
                                            java.lang.IllegalArgumentException,
                                            java.lang.IllegalAccessException,
                                            java.lang.reflect.InvocationTargetException,
                                            java.lang.SecurityException,
                                            java.lang.NoSuchMethodException

      Throws:
        `java.net.MalformedURLException`
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.SecurityException`
        `java.lang.NoSuchMethodException`

    - #### addToLibraryPath

          public static void addToLibraryPath(java.lang.String path)
                                       throws java.lang.IllegalArgumentException,
                                              java.lang.IllegalAccessException

      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`